Bug 145442 - can no longer build rhpl rpm
can no longer build rhpl rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 10:49 EST by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.152-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 16:25:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-01-18 10:49:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) KHTML/3.3.2 (like Gecko)

Description of problem:
i can't figure out what changed to cause this below. The include files from 
glibc-kernheaders seem to be the same ones as before. Anyway I get
this error:

=========================================================
In file included from diskutil.c:22:
/usr/include/linux/loop.h:42: error: syntax error before "__kernel_dev_t"
/usr/include/linux/loop.h:44: error: syntax error before "lo_rdevice"
/usr/include/linux/loop.h:53: error: syntax error before '}' token
In file included from /usr/include/python2.4/Python.h:8,
                 from diskutil.c:24:
/usr/include/python2.4/pyconfig.h:835:1: warning: "_POSIX_C_SOURCE" redefined
In file included from /usr/include/stdio.h:28,
                 from diskutil.c:8:
/usr/include/features.h:190:1: warning: this is the location of the previous definition
diskutil.c: In function `doLoSetup':
diskutil.c:113: error: storage size of 'loopInfo' isn't known
diskutil.c:113: warning: unused variable `loopInfo'
diskutil.c: In function `doFindUnusedLoopDev':
diskutil.c:160: error: storage size of 'loopinfo' isn't known
diskutil.c:160: warning: unused variable `loopinfo'


Version-Release number of selected component (if applicable):
rhpl-0.151

How reproducible:
Always

Steps to Reproduce:
1.get rhpl source rpm and install
2.rpmbuild -ba rhpl.spec
3.
    

Additional info:
Comment 1 Jeremy Katz 2005-01-19 16:25:13 EST
No, the headers changed.

Fixed.

Note You need to log in before you can comment on or make changes to this bug.